ISV Contract - Update ISV Contract
Update an ISV contract.
PUT https://api.powerplatform.com/licensing/isvContracts/{isvContractId}?api-version=2024-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
isv
|
path | True |
string |
The ISV contract ID. |
|
api-version
|
query | True |
string |
The API version. |
Request Body
| Name | Type | Description |
|---|---|---|
| conditions |
The ISV Contract API filter conditions. |
|
| name |
string |
|
| powerAutomatePolicy |
The Power Platform requests policies. |
|
| status |
The desired ISV contract status. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Success |
|
| 400 Bad Request |
Bad Request |
|
| 401 Unauthorized |
Unauthorized |
|
| 403 Forbidden |
Forbidden |
|
| 404 Not Found |
Not Found |
Security
oauth2
Microsoft Entra ID OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com
Scopes
| Name | Description |
|---|---|
| .default | .default |
Definitions
| Name | Description |
|---|---|
|
Billing |
The ISV billing instrument information. |
|
Billing |
The Power Platform connector filter. |
|
Billing |
|
|
Billing |
The ISV Contract API filter conditions. |
|
Billing |
The desired ISV contract status. |
|
Consumer |
The consumer identity for ISV contract. |
|
Isv |
|
|
Isv |
|
|
Licensing |
|
|
Pay |
|
|
Power |
The Power Platform requests policies. |
|
Principal |
BillingInstrumentModel
The ISV billing instrument information.
| Name | Type | Description |
|---|---|---|
| id |
string |
|
| resourceGroup |
string |
The resource group within the tenant subscription. |
| subscriptionId |
string (uuid) |
The tenant subscription ID. |
BillingPolicyConditionsApiFilterModel
The Power Platform connector filter.
| Name | Type | Description |
|---|---|---|
| allowOtherPremiumConnectors |
boolean |
Whether metered usage with premium connectors may be attributed. |
| requiredApis |
Connectors where at least one must be in the metered usage. |
BillingPolicyConditionsApiModel
| Name | Type | Description |
|---|---|---|
| name |
string |
The name of an API connector. |
BillingPolicyConditionsModel
The ISV Contract API filter conditions.
| Name | Type | Description |
|---|---|---|
| apiFilter |
The Power Platform connector filter. |
BillingPolicyStatus
The desired ISV contract status.
| Value | Description |
|---|---|
| Enabled | |
| Disabled |
ConsumerIdentityModel
The consumer identity for ISV contract.
| Name | Type | Description |
|---|---|---|
| tenantId |
string (uuid) |
The ID of the customer tenant. |
IsvContractPutRequestModel
| Name | Type | Description |
|---|---|---|
| conditions |
The ISV Contract API filter conditions. |
|
| name |
string |
|
| powerAutomatePolicy |
The Power Platform requests policies. |
|
| status |
The desired ISV contract status. |
IsvContractResponseModel
| Name | Type | Description |
|---|---|---|
| billingInstrument |
The ISV billing instrument information. |
|
| conditions |
The ISV Contract API filter conditions. |
|
| consumer |
The consumer identity for ISV contract. |
|
| createdBy | ||
| createdOn |
string (date-time) |
|
| geo |
string |
|
| id |
string |
|
| lastModifiedBy | ||
| lastModifiedOn |
string (date-time) |
|
| name |
string |
|
| powerAutomatePolicy |
The Power Platform requests policies. |
|
| status |
The desired ISV contract status. |
LicensingPrincipal
| Name | Type | Description |
|---|---|---|
| id |
string |
|
| type |
PayAsYouGoState
| Value | Description |
|---|---|
| Enabled | |
| Disabled |
PowerAutomatePolicyModel
The Power Platform requests policies.
| Name | Type | Description |
|---|---|---|
| cloudFlowRunsPayAsYouGoState | ||
| desktopFlowAttendedRunsPayAsYouGoState | ||
| desktopFlowUnattendedRunsPayAsYouGoState |
PrincipalType
| Value | Description |
|---|---|
| None | |
| Application | |
| User | |
| DelegatedAdmin |